#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE4,0x21,0x1A,0x53,0xF9,0xE2,0x9C,0xB2,0x1C,0x3E,0x5A,0xC9,
		0x39,0x67,0x69,0x95,0x5C,0xB7,0x0E,0x43,0xB7,0xD9,0x4C,0xF7,
		0x38,0xA7,0x4B,0x2A,0x17,0xEA,0x60,0x84,0xEA,0xFB,0x36,0x2B,
		0xEC,0x10,0x4B,0x7D,0x4F,0x54,0x4D,0x41,0x34,0x71,0xF9,0xBE,
		0x97,0x92,0x4E,0xC7,0x76,0x4A,0xEB,0x5C,0x08,0x4A,0x73,0x5F,
		0x37,0x2B,0x2A,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
